<div id="screen-meta" class="metabox-prefs" style="display: block;">
    <div id="screen-options-wrap" class="hidden" style="display: block;">
        <form id="adv-settings" action="options.php" method="post">
            <h5>Available Post Types</h5>
            <em>Select which Builtin- and Custom Post Types should be available for DMS.</em>
            <div class="metabox-prefs">
                <label for="dms_use_page">
                    <input class="hide-postbox-tog" name="dms_use_page" type="checkbox" id="dms_use_page" <?php $opt = get_option( 'dms_use_page' );
					if ( $opt === 'on' ) {
						echo "checked=\"checked\"";
					} ?>>
                    Pages
                </label>
                <label for="dms_use_post">
                    <input class="hide-postbox-tog" name="dms_use_post" type="checkbox" id="dms_use_post" <?php $opt = get_option( 'dms_use_post' );
					if ( $opt === 'on' ) {
						echo "checked=\"checked\"";
					} ?>>
                    Posts
                </label>
                <label for="dms_use_categories">
                    <input class="hide-postbox-tog" name="dms_use_categories" type="checkbox" id="dms_use_categories" <?php $opt = get_option( 'dms_use_categories' );
					if ( $opt === 'on' ) {
						echo "checked=\"checked\"";
					} ?>>
                    Blog Categories
                </label>
				<?php
				$types = DMS::getCustomPostTypes();
				foreach ( $types as $type ) {
					echo "<label for=\"dms_use_{$type['name']}\">";
					$value = get_option( "dms_use_{$type['name']}" );
					if ( $value === 'on' ) {
						echo "<input class=\"hide-postbox-tog\" name=\"dms_use_{$type['name']}\" type=\"checkbox\" id=\"dms_use_{$type['name']}\" checked=\"checked\">";
					} else {
						echo "<input class=\"hide-postbox-tog\" name=\"dms_use_{$type['name']}\" type=\"checkbox\" id=\"dms_use_{$type['name']}\">";
					}
					echo $type["label"];
					echo "</label>";
					if ( $type['has_archive'] ) {
						echo "<label for=\"dms_use_{$type['name']}_archive\">";
						$value = get_option( "dms_use_{$type['name']}_archive" );
						if ( $value === 'on' ) {

							echo "<input class=\"hide-postbox-tog\" name=\"dms_use_{$type['name']}_archive\" type=\"checkbox\" id=\"dms_use_{$type['name']}_archive\" checked=\"checked\">";
						} else {
							echo "<input class=\"hide-postbox-tog\" name=\"dms_use_{$type['name']}_archive\" type=\"checkbox\" id=\"dms_use_{$type['name']}_archive\">";
						}
						echo $type["label"] . " <strong>Archive</strong>";
						echo "</label>";
					}
				}
				?>
                <br class="clear">

				<?php
				settings_fields( 'dms_config' );
				?>

                <p class="submit">
                    <input type="submit" class="button-primary" value="Save"/>
                </p>
            </div>
        </form>
    </div>
</div>

<div id="screen-meta-links">
    <div id="screen-options-link-wrap" class="hide-if-no-js screen-meta-toggle">
        <a href="#screen-options-wrap" id="show-settings-link" class="show-settings screen-meta-active">Configure DMS</a>
    </div>
</div>
<!-- Actual Stuff -->
<div class="wrap">
	<?php //echo screen_icon(); ?>
    <h2>Domain Mapping System Configuration</h2>
    <div class="updated">
        <p><strong>Important!</strong></p>
        <p>This plugin requires configuration with your DNS host and on your server (cPanel, etc). Please see <a target="_blank"
                                                                                                                 href="https://docs.domainmappingsystem.com">our
                documentation</a> for configuration requirements.</p>
    </div>
    <fieldset class="dms">
        <legend>
            DMS Map
        </legend>
        <table class="form-table" id="dms-map">
            <tr valign="top">
                <th scope="row">
                    <label>Domains</label>
                </th>
            </tr>
            <tr valign="top">
                <th>
                </th>
                <td>
                    <div class="dms-mapping-desc-domain">
                        <strong>Enter mapped domain:</strong>
                    </div>
                    <div class="dms-mapping-desc-page">
                        <strong>Select the page content to display for this domain:</strong>
                    </div>
                </td>
            </tr>
			<?php
			$string = get_option( 'dms_map' );
			parse_str( $string, $map );
			foreach ( $map as $key => $value ) {

				?>
                <tr>
                    <th></th>
                    <td>
                        <span class="pre-host">http://</span>
                        <input type="text" class="dms regular-text dms-collect-key" value="<?php echo str_replace( "_", ".", $key ); ?>" placeholder="www.example.com"/>
                        <span class="post-host">/</span>
						<?php
						$options = DMS::getDMSOptions();
						?>
                        <select class="dms page_id" name="page_id" data-placeholder="The choice is yours.">
                            <option></option>
							<?php
							foreach ( $options as $key => $optgroup ) {
								echo "<optgroup label=\"{$key}\">";
								foreach ( $optgroup as $option ) {
									if ( (int) $option['id'] === (int) $value ) {
										echo "<option selected=\"selected\" class=\"level-0\" value=\"{$option['id']}\">{$option['title']}</option>";
									} else {
										echo "<option class=\"level-0\" value=\"{$option['id']}\">{$option['title']}</option>";
									}
								}
								echo "</optgroup>";
							}
							?>
                        </select>

                        <button class="dms-delete-row" title="Delete">&times;</button>
                    </td>
                </tr>
				<?php
			}
			?>
            <tr>
                <th></th>
                <td>
                    <span class="pre-host">http://</span>
                    <input type="text" class="dms regular-text dms-collect-key" placeholder="www.example.com"/>
                    <span class="post-host">/</span>
					<?php
					$options = DMS::getDMSOptions();
					?>
                    <select class="dms page_id" name="page_id" data-placeholder="The choice is yours.">
                        <option></option>
						<?php
						foreach ( $options as $key => $optgroup ) {
							echo "<optgroup label=\"{$key}\">";
							foreach ( $optgroup as $option ) {
								echo "<option class=\"level-0\" value=\"{$option['id']}\">{$option['title']}</option>";
							}
							echo "</optgroup>";
						}
						?>
                    </select>
                    <button class="dms-delete-row" title="Delete">&times;</button>
                </td>
            </tr>
            <tr id="dms-add-new-tr">
                <th></th>
                <td>
                    <strong><a class="dms-add-row" href="#">+ Add Domain Map Entry</a></strong>
                </td>
            </tr>
        </table>
    </fieldset>
    <form method="post" action="options.php">
		<?php
		settings_fields( 'dms_storage' );
		?>
        <input type="hidden" id="dms_map" name="dms_map" value="<?php echo get_option( 'dms_map' ); ?>"/>
        <p>
			<?php
			global $dms_fs;
			$upgrade_url = $dms_fs->get_upgrade_url();
			$is_free     = $dms_fs->is_free_plan();
			?>
            <input type="checkbox" <?= $is_free ? 'disabled=disabled' : '' ?> id="dms_enable_query_strings" name="dms_enable_query_strings" <?php $opt = get_option( 'dms_enable_query_strings' );
			if ( $opt === 'on' || ! $is_free ) {
				echo "checked=\"checked\"";
			} ?>/>
            Support for query string parameters (e.g. - UTM, etc)
			<?php if ( $is_free ): ?>
                <a href="<?= $upgrade_url; ?>"> Upgrade ></a>
			<?php endif; ?>
        </p>
        <p>
            <input type="checkbox" <?= $is_free ? 'disabled=disabled' : '' ?> id="dms_force_site_visitors" name="dms_force_site_visitors" <?php $opt = get_option( 'dms_force_site_visitors' );
			if ( $opt === 'on' ) {
				echo "checked=\"checked\"";
			} ?>/>
            Force site visitors to see only mapped domains of a page (e.g. - disallow visitors to see the primary domain of a page)
			<?php if ( $is_free ): ?>
                <a href="<?= $upgrade_url; ?>"> Upgrade ></a>
			<?php endif; ?>
        </p>
        <p class="submit">
            <input type="submit" class="button-primary" value="Save" id="dms-submit-config"/>
        </p>
    </form>
</div>
